SDL_ResumeAudioDevice(3)

NAME
SDL_ResumeAudioDevice - Use this function to unpause audio playback on a specified device.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_ResumeAudioDevice(SDL_AudioDeviceID dev);

DESCRIPTION
This function unpauses audio processing for a given device that has previously been paused with SDL_PauseAudioDevice (). Once unpaused, any bound audio streams will begin to progress again, and audio can be generated. Unlike in SDL2, audio devices start in an _unpaused_ state, since an app has to bind a stream before any audio will flow. Unpausing an unpaused device is a legal no-op. Physical devices can not be paused or unpaused, only logical devices created through SDL_OpenAudioDevice () can be.

FUNCTION PARAMETERS

dev a device opened by SDL_OpenAudioDevice ()

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_AudioDevicePaused(3), SDL_PauseAudioDevice(3)